SUSE-SU-2022:2065-1: important: Security update for xen

SUSE Security Update: Security update for xen ______________________________________________________________________________ Announcement ID: SUSE-SU-2022:2065-1 Rating: important References: #1027519 #1197426 #1199965 #1199966 Cross-References: CVE-2022-26358 CVE-2022-26359 CVE-2022-26360 CVE-2022-26361 CVE-2022-26362 CVE-2022-26363 CVE-2022-26364 CVSS scores: CVE-2022-26358 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H CVE-2022-26358 (SUSE): 5.7 CVSS:3.1/AV:L/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:H CVE-2022-26359 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H CVE-2022-26359 (SUSE): 5.7 CVSS:3.1/AV:L/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:H CVE-2022-26360 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H CVE-2022-26360 (SUSE): 5.7 CVSS:3.1/AV:L/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:H CVE-2022-26361 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H CVE-2022-26361 (SUSE): 5.7 CVSS:3.1/AV:L/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:H CVE-2022-26362 (SUSE): 8.1 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H CVE-2022-26363 (SUSE): 8.1 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H CVE-2022-26364 (SUSE): 8.1 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H Affected Products: SUSE Linux Enterprise Desktop 15-SP3 SUSE Linux Enterprise High Performance Computing 15-SP3 SUSE Linux Enterprise Micro 5.1 SUSE Linux Enterprise Micro 5.2 SUSE Linux Enterprise Module for Basesystem 15-SP3 SUSE Linux Enterprise Module for Server Applications 15-SP3 SUSE Linux Enterprise Server 15-SP3 SUSE Linux Enterprise Server for SAP Applications 15-SP3 SUSE Manager Proxy 4.2 SUSE Manager Server 4.2 openSUSE Leap 15.3 ______________________________________________________________________________ An update that fixes 7 vulnerabilities is now available. Description: This update for xen fixes the following issues: - CVE-2022-26358, CVE-2022-26359, CVE-2022-26360, CVE-2022-26361: Fixed IOMMU: RMRR (VT-d) and unity map (AMD-Vi) handling issues (XSA-400) (bsc#1197426) - CVE-2022-26362: Fixed race condition in typeref acquisition (bsc#1199965) - CVE-2022-26363, CVE-2022-26364: Fixed insufficient care with non-coherent mappings (bsc#1199966) Special Instructions and Notes: Please reboot the system after installing this update. Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or “zypper patch”. Alternatively you can run the command listed for your product: - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2022-2065=1 - SUSE Linux Enterprise Module for Server Applications 15-SP3: zypper in -t patch SUSE-SLE-Module-Server-Applications-15-SP3-2022-2065=1 - SUSE Linux Enterprise Module for Basesystem 15-SP3: zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP3-2022-2065=1 - SUSE Linux Enterprise Micro 5.2: zypper in -t patch SUSE-SUSE-MicroOS-5.2-2022-2065=1 - SUSE Linux Enterprise Micro 5.1: zypper in -t patch SUSE-SUSE-MicroOS-5.1-2022-2065=1 Package List: - openSUSE Leap 15.3 (aarch64 x86_64): xen-4.14.5_02-150300.3.29.1 xen-debugsource-4.14.5_02-150300.3.29.1 xen-devel-4.14.5_02-150300.3.29.1 xen-doc-html-4.14.5_02-150300.3.29.1 xen-libs-4.14.5_02-150300.3.29.1 xen-libs-debuginfo-4.14.5_02-150300.3.29.1 xen-tools-4.14.5_02-150300.3.29.1 xen-tools-debuginfo-4.14.5_02-150300.3.29.1 xen-tools-domU-4.14.5_02-150300.3.29.1 xen-tools-domU-debuginfo-4.14.5_02-150300.3.29.1 - openSUSE Leap 15.3 (x86_64): xen-libs-32bit-4.14.5_02-150300.3.29.1 xen-libs-32bit-debuginfo-4.14.5_02-150300.3.29.1 - openSUSE Leap 15.3 (noarch): xen-tools-xendomains-wait-disk-4.14.5_02-150300.3.29.1 - SUSE Linux Enterprise Module for Server Applications 15-SP3 (noarch): xen-tools-xendomains-wait-disk-4.14.5_02-150300.3.29.1 - SUSE Linux Enterprise Module for Server Applications 15-SP3 (x86_64): xen-4.14.5_02-150300.3.29.1 xen-debugsource-4.14.5_02-150300.3.29.1 xen-devel-4.14.5_02-150300.3.29.1 xen-tools-4.14.5_02-150300.3.29.1 xen-tools-debuginfo-4.14.5_02-150300.3.29.1 - SUSE Linux Enterprise Module for Basesystem 15-SP3 (x86_64): xen-debugsource-4.14.5_02-150300.3.29.1 xen-libs-4.14.5_02-150300.3.29.1 xen-libs-debuginfo-4.14.5_02-150300.3.29.1 xen-tools-domU-4.14.5_02-150300.3.29.1 xen-tools-domU-debuginfo-4.14.5_02-150300.3.29.1 - SUSE Linux Enterprise Micro 5.2 (x86_64): xen-debugsource-4.14.5_02-150300.3.29.1 xen-libs-4.14.5_02-150300.3.29.1 xen-libs-debuginfo-4.14.5_02-150300.3.29.1 - SUSE Linux Enterprise Micro 5.1 (x86_64): xen-debugsource-4.14.5_02-150300.3.29.1 xen-libs-4.14.5_02-150300.3.29.1 xen-libs-debuginfo-4.14.5_02-150300.3.29.1 References: https://www.suse.com/security/cve/CVE-2022-26358.html https://www.suse.com/security/cve/CVE-2022-26359.html https://www.suse.com/security/cve/CVE-2022-26360.html https://www.suse.com/security/cve/CVE-2022-26361.html https://www.suse.com/security/cve/CVE-2022-26362.html https://www.suse.com/security/cve/CVE-2022-26363.html https://www.suse.com/security/cve/CVE-2022-26364.html https://bugzilla.suse.com/1027519 https://bugzilla.suse.com/1197426 https://bugzilla.suse.com/1199965 https://bugzilla.suse.com/1199966

More…